curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/profiles/{profile_id}/faculty_activities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/profiles/{profile_id}/faculty_activities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/profiles/{profile_id}/faculty_activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "faculty_activity",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"key": "<string>",
"external_id": "<string>",
"featured": true,
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"calculated_properties": {},
"properties": {}
},
"relationships": {
"profile": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "profile",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
],
"meta": {
"page": {
"size": 123
},
"total": 123
},
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}List faculty activities for a profile
Returns a list of faculty activities
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/profiles/{profile_id}/faculty_activities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/profiles/{profile_id}/faculty_activities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/profiles/{profile_id}/faculty_activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "faculty_activity",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"key": "<string>",
"external_id": "<string>",
"featured": true,
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"calculated_properties": {},
"properties": {}
},
"relationships": {
"profile": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "profile",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
],
"meta": {
"page": {
"size": 123
},
"total": 123
},
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer token
Path Parameters
Query Parameters
Comma-separated list of relationships to include. Allowed: profile
Sort order. Prefix with - for descending. Allowed: created_at, updated_at, featured_at, id, start_date
Filter results. Available filters: created_at, created_at.neq, created_at.lt, created_at.lte, created_at.gt, created_at.gte, updated_at, updated_at.neq, updated_at.lt, updated_at.lte, updated_at.gt, updated_at.gte, key, external_id, external_id.neq, external_id.cont (case-insensitive substring match), external_id.in (list of values, comma-separated), external_id.nin (list of values, comma-separated), start_date, start_date.neq, start_date.lt, start_date.lte, start_date.gt, start_date.gte, end_date, end_date.neq, end_date.lt, end_date.lte, end_date.gt, end_date.gte, profile.
Number of items per page (max 100)
Cursor for next page
Cursor for previous page